查询商店 Worker
方法: GET
端点: /api/v2/store
认证: 不需要 API token
GET
/api/v2/storeList store workersAuthorizationNot required
This is a public endpoint and does not require an API token.
Parameters
Optional
Pagination offset, starting from 0. Constraints: default `0`; minimum 0.
Optional
Page size. Constraints: default `20`; range 1-100.
Optional
Keyword for title, slug, or path.
Request BodyNot applicable
No JSON request body. Fill the path or query parameters above.
什么时候使用这个接口
Section titled “什么时候使用这个接口”用于搜索公开商店中的 Worker,并获取后续详情查询需要的 Worker slug 或 path。
| 参数 | 必填 | 类型 | 说明 |
|---|---|---|---|
offset | 否 | integer | 分页偏移量,从 0 开始;用于结果预览、列表翻页或导出前确认数据窗口。 约束:默认 0;最小 0。 |
limit | 否 | integer | 每页返回数量;列表和结果接口的 limit 上限为 100。 约束:默认 20;范围 1-100。 |
keyword | 否 | string | 按标题、slug 或 path 搜索。 |
curl -X GET "https://openapi.coreclaw.com/api/v2/store?offset=0&limit=20&keyword=coffee"{ "code": 0, "data": { "scraper": [ { "description": "Demo worker description", "name": "demo-worker", "path": "owner~demo-worker", "slug": "demo-worker", "title": "Demo Worker", "username": "owner" } ] }, "message": "success", "request_id": "req-123"}- 此接口不需要 API token。
HTTP 响应
Section titled “HTTP 响应”| HTTP 状态 | 应用代码 | 含义 |
|---|---|---|
200 | 0 | 请求成功。 |
400 | 11000 | 请求参数不合法。 |
401 | 12001 | 认证缺失或无效。 |
404 | 11004 | 目标资源不存在。 |
422 | 11000 | 请求语义或字段校验未通过。 |
429 | 13000 | 请求过于频繁。 |
500 | 10000 | 服务端内部错误。 |